'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.cssMediaQueryFeatures = undefined;

var _cssMozMediaFeatures = require('../cssMozMediaFeatures');

var _cssMsMediaFeatures = require('../cssMsMediaFeatures');

var _cssWebkitMediaFeatures = require('../cssWebkitMediaFeatures');

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } } /**
                                                                                                                                                                                                     * https://drafts.csswg.org/mediaqueries/#mq-features
                                                                                                                                                                                                     * https://developer.mozilla.org/ru/docs/Web/CSS/@media#Media_features
                                                                                                                                                                                                     * https://msdn.microsoft.com/en-us/windows/hh772370(v=vs.71)
                                                                                                                                                                                                     * https://developer.apple.com/library/archive/documentation/AppleApplications/Reference/SafariCSSRef/Articles/OtherStandardCSS3Features.html#//apple_ref/doc/uid/TP40007601-SW3
                                                                                                                                                                                                     * https://w3c.github.io/manifest/#the-display-mode-media-feature
                                                                                                                                                                                                     */

var cssMediaQueryFeatures = exports.cssMediaQueryFeatures = [].concat(_toConsumableArray(_cssMozMediaFeatures.cssMozMediaFeatures), _toConsumableArray(_cssMsMediaFeatures.cssMsMediaFeatures), _toConsumableArray(_cssWebkitMediaFeatures.cssWebkitMediaFeatures), ['any-hover', 'any-pointer', 'aspect-ratio', 'color-gamut', 'color-index', 'color', 'device-aspect-ratio', 'device-pixel-ratio', 'device-height', 'device-width', 'display-mode', 'grid', 'height', 'hover', 'inverted-colors', 'light-level', 'monochrome', 'orientation', 'overflow-block', 'overflow-inline', 'pointer', 'prefers-reduced-motion', 'resolution', 'scan', 'scripting', 'update', 'width']);