'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * https://drafts.csswg.org/mediaqueries/#media-types
 * https://www.w3schools.com/CSSref/css3_pr_mediaquery.asp
 *
 * `all`        - Used for all media type devices
 * `aural`      - DEPRECATED: Used for speech and sound synthesizers
 * `braille`    - DEPRECATED: Used for braille tactile feedback devices
 * `embossed`   - DEPRECATED: Used for paged braille printers
 * `handheld`   - DEPRECATED: Used for small or handheld devices
 * `print`      - Used for printers
 * `projection` - DEPRECATED: Used for projected presentations, like slides
 * `screen`     - Used for computer screens
 * `speech`     - Used for speech and sound synthesizers
 * `tty`        - DEPRECATED: Used for media using a fixed-pitch character grid, like teletypes and terminals
 * `tv`         - DEPRECATED: Used for television-type devices
 */

var cssMediaQueryTypes = exports.cssMediaQueryTypes = ['all', 'aural', 'braille', 'embossed', 'handheld', 'print', 'projection', 'screen', 'speech', 'tty', 'tv'];