'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.cssUnitsThatAllowZeroWithoutUnit = undefined;

var _cssUnits = require('../cssUnits');

var _cssDurationUnits = require('../cssDurationUnits');

var _cssFrequencyUnits = require('../cssFrequencyUnits');

var _cssFlexibleLengthUnits = require('../cssFlexibleLengthUnits');

var _cssResolutionUnits = require('../cssResolutionUnits');

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

/**
 * https://www.w3.org/TR/css-values/#lengths
 * https://stylelint.io/user-guide/rules/length-zero-no-unit/
 * https://www.dunkman.me/blog/2017/css-zero-length-units.html
 *
 * CSS spec requires units to be specified for duration, grid fraction, frequency,
 * and resolution values — even for zero
 */

var cssUnitsThatAllowZeroWithoutUnit = exports.cssUnitsThatAllowZeroWithoutUnit = _cssUnits.cssUnits.filter(function (unit) {
  return [].concat(_toConsumableArray(_cssDurationUnits.cssDurationUnits), _toConsumableArray(_cssFlexibleLengthUnits.cssFlexibleLengthUnits), _toConsumableArray(_cssFrequencyUnits.cssFrequencyUnits), _toConsumableArray(_cssResolutionUnits.cssResolutionUnits)).includes(unit) === false;
});