'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.handlePerformanceHackProperties = handlePerformanceHackProperties;

var _reCss3dPerformanceHack = require('../../constants/reCss3dPerformanceHack');

var _countUsage = require('../../calculators/countUsage');

var _removeExtraSpaces = require('../../converters/removeExtraSpaces');

function handlePerformanceHackProperties(decl, report) {
	if (decl.prop.endsWith('transform') && _reCss3dPerformanceHack.reCss3dPerformanceHack.test(decl.value)) {
		decl.value.match(_reCss3dPerformanceHack.reCss3dPerformanceHack).forEach(function (hack) {
			return (0, _countUsage.countUsage)((0, _removeExtraSpaces.removeExtraSpaces)(hack), report.properties.performanceHacks);
		});
	} else if (decl.prop === 'will-change') {
		(0, _countUsage.countUsage)(decl.prop, report.properties.performanceHacks);
	}
}