'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.handleVariables = handleVariables;

var _reCssVariable = require('../../constants/reCssVariable');

var _countUsage = require('../../calculators/countUsage');

/** Handle case like `tv-transition--fade-in .35s ease forwards` */
var reCssVariableInWord = new RegExp('\\b' + _reCssVariable.reCssVariable.source, 'g');

function handleVariablesMatch(match, report) {
	match.forEach(function (variable) {
		report.variables.total++;
		(0, _countUsage.countUsage)(variable, report.variables.usage);
	});
}

function handleVariables(decl, report) {
	if (decl.prop.startsWith('--') && _reCssVariable.reCssVariable.test(decl.prop)) {
		report.variables.valuesMap[decl.prop] = decl.value;
	}

	if (_reCssVariable.reCssVariable.test(decl.value) && decl.value.match(reCssVariableInWord) === null) {
		handleVariablesMatch(decl.value.match(_reCssVariable.reCssVariable), report);
	}
}