'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.isValidCubicBezierArgs = isValidCubicBezierArgs;

var _isNumber = require('../isNumber');

function isValidCubicBezierArgs(func) {
	var funcArgs = func.slice(13, -1).split(',');

	if (funcArgs.length !== 4 || funcArgs.some(function (arg) {
		return (0, _isNumber.isNumber)(Number(arg)) === false;
	}) || Number(funcArgs[0]) < 0 || Number(funcArgs[0]) > 1 || Number(funcArgs[2]) < 0 || Number(funcArgs[2]) > 1) {
		return false;
	}

	return true;
}